{
  "Sheet1": [
    {
      "type": "STUDENT",
      "rowNo": "1",
      "SName": "امين",
      "SFName": "كياني",
      "StdNo": "9332945",
      "password": "mxxsmtpr",
      "PS1": "Q17 : 0 points ; no file",
      "PS2": "0",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q6": "Empty File",
      "HW2Q3": "Empty File"
    },
    {
      "type": "STUDENT",
      "rowNo": "2",
      "SName": "بهاره",
      "SFName": "شيرکاني",
      "StdNo": "9532244",
      "password": "yzrkwven",
      "PS1": "Q17 : 100 points ; correct\n(19) -> 90\n if ( 0< i <  100   )  (-10) \n(22) -> 100\n",
      "QZ1Q2": "scanf() & math.h!",
      "PS2": "no comments(-5)\n",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q6": "Empty File",
      "HW2Q4": "wrong algorithm - uncompleted ",
      "HW3Q3": "output format is not like what the question wanted"
    },
    {
      "type": "STUDENT",
      "rowNo": "3",
      "SName": "يونس",
      "SFName": "محمدي شيوه کش",
      "StdNo": "9532529",
      "password": "ymhmdis",
      "PS1": "Q17 : 100 points ; correct\n(19) -> 100\n\n(22) -> 100\n",
      "HW1Q4": "clean handwriting (+10) - no return type for main (-10)",
      "QZ1Q1": "goals 1/2",
      "HW1Q6": "bonus (+10)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "20",
      "QZ2_TestCase": "10",
      "QZ2_Explain": [
        "line 24:result[j]='\\0'",
        "doesn't  work recursively",
        "doesn't work for this test case:char source[] =  hello my my ; char word[] = \"my\";"
      ],
      "HW2Q6": "Empty File",
      "HW2Q3": "(-10)not clean\n"
    },
    {
      "type": "STUDENT",
      "rowNo": "4",
      "SName": "حديث",
      "SFName": "حافظي",
      "StdNo": "9532789",
      "password": "trnbsyci",
      "PS1": "Q17 : 0 points ; no file\n(19) : 50\ncounter = 0 ; (-10)\nc = getchar(); // in ghalate (-10)\nc = getchar()!= EOF  // paranteze in koo ? (-20)\nprintf(\"counter\"); // in counter int bood na string (-10)\n\n(22) : 45\nI asked for the reason not the out put ( -20 )\nOne of the outputs is missing (-33)\nreturn 0 -20\n",
      "PS2": "0",
      "QZ1Q1": "no retrun 0\nwrong algorithm",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "5",
      "SName": "زينب",
      "SFName": "كامكار",
      "StdNo": "9533521",
      "password": "ltrbolku",
      "PS1": "Q17 : 100 points ; correct\n(19) : 100\n\n\n",
      "QZ1Q2": "\nsyntax error!",
      "PS2": "no comments(-5)\ndoesn't declare the return type of main(-5)",
      "HW1Q3": "distance calculation",
      "QZ1Q1": "totally wrong algorithm\nwhat is the \"number\" exactly doing in the code ?",
      "HW1Q6": [
        "return 0 for void function (-10) - find_age_line",
        "find_age_number  implementating problem (-35)"
      ],
      "HW1Q7": "no comment(-5):\n wrong return type for void(-5):\n wrong return type of main(-5):\n LCM doesn't work for some numbers(-10)",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "20",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "didnt implement delete"
      ],
      "HW2Q6": "We dont put variables in a heaer file/You Didnt add header file in the source file /Syntax Error ( Undeclared used_capacity)",
      "HW2Q4": "no prototype for functions add() and string_compare() ",
      "HW3Q3": [
        "no prototype for function: void print(struct node * head) - add does not work for some test cases (e.g.  987",
        "1234 ) - output format is not like what the question wanted"
      ],
      "HW3Q5": "(add last)tartib ezafeshodan barax bud(-5) \n get_exam dorost kar nemikone(-10)"
    },
    {
      "type": "STUDENT",
      "rowNo": "6",
      "SName": "راضيه",
      "SFName": "زارع",
      "StdNo": "9632417",
      "password": "wonruenk",
      "PS1": "Q17 : 100 points ; correct\n(19) : 100\n\n(22):100\n",
      "PS2": "doesn't declare the type of the function parameter(-5)",
      "QZ1Q1": "what if the user doesnt enter a number with floating point",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "15",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "wrong condition",
        "doesn't  work for this test case:char source[] =  hello my my ; char word[] = \"my\";"
      ],
      "HW2Q6": "Empty File"
    },
    {
      "type": "STUDENT",
      "rowNo": "7",
      "SName": "رضا",
      "SFName": "چيت ساز",
      "StdNo": "9632418",
      "password": "tpbeheqd",
      "PS1": "Q17 : 0 points ; no file",
      "PS2": "0",
      "QZ1Q1": "not clean\nwrong algorithm\nhow can int become float in line 42 ??",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "8",
      "SName": "مجيد",
      "SFName": "سلامي",
      "StdNo": "9632444",
      "password": "majeslm",
      "PS1": [
        "Q17 : 100 points ; correct\n(19) : 66\nprintf( %c",
        "65); in chekr mikone ? (-33)\n(22):100"
      ],
      "PS2": "0",
      "QZ1Q1": "what is that bro ??",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q4": "no dynamic allocation"
    },
    {
      "type": "STUDENT",
      "rowNo": "9",
      "SName": "سامان",
      "SFName": "شاه حسيني",
      "StdNo": "9632422",
      "password": "ntgeetzx",
      "PS1": "Q17 : 85 points ; no avg found\n(19) : 100\n(22) : 100\n",
      "QZ1Q2": "\nsyntax error!",
      "PS2": "no comment(-5)",
      "HW1Q1": "not functional",
      "HW1Q4": "mode 3 needed two separate keys (-5)",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "15",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "wrong passing parameter",
        "doesn't work recursively",
        "didnt  shift",
        "doesn't work for this test case:char source[] =  hello my my ; char word[] = \"my\";"
      ],
      "HW2Q6": "Empty File"
    },
    {
      "type": "STUDENT",
      "rowNo": "10",
      "SName": "علي",
      "SFName": "شاهسوندي",
      "StdNo": "9632434",
      "password": "rnyulsym",
      "PS1": "Q17 : 100 points ; correct\n(22) : 100\n(19) : 20\n\nc = getchar() // parantezash koo ? (-20)\nCounter++ koo ? (-10)\n                if ( c == ' ' || c == '\\n' ) {\n                        counter = counter + 1 ;\n                }\nIn tikke koo >?? ( -30 )\nReturn 0 (-20)\n",
      "PS2": "no comments(-5)\n",
      "HW1Q4": "mode 3 is not implemented",
      "QZ1Q1": "totally wrong algorithm",
      "HW1Q7": "you just get the number",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "5",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't  work recursively",
        "wrong condition"
      ],
      "HW2Q6": "What could that even be ?",
      "HW2Q3": "forget :input[index]=0; in line 30"
    },
    {
      "type": "STUDENT",
      "rowNo": "11",
      "SName": "محمدرضا",
      "SFName": "رستگاري",
      "StdNo": "9632452",
      "password": "rxtgmmd",
      "PS1": "Q17 : 0 points ; no file",
      "PS2": "0",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "12",
      "SName": "مصطفي",
      "SFName": "زيوري",
      "StdNo": "9632454",
      "password": "dxxvxgxr",
      "PS1": "Q17 : 0 points ; no file",
      "PS2": "no comments(-5)\n",
      "QZ1Q1": "totally wrong algorithm\n12 + 12 = -123434 ???",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "13",
      "SName": "معصومه",
      "SFName": "خلفي",
      "StdNo": "9632455",
      "password": "tkkrcejc",
      "PS1": [
        "Q17 : 70 ; bad algorithm in saving numbers",
        "dont define variables in for init section\n(19) :70\nReturn 0 -20\n\n int counter; (-10)\n(22) : 100"
      ],
      "PS2": "0",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q6": "Empty File"
    },
    {
      "type": "STUDENT",
      "rowNo": "14",
      "SName": "ساينا",
      "SFName": "دانشمندجهرمي",
      "StdNo": "9632644",
      "password": "hyngcpus",
      "PS1": "Q17 : 100 points ; correct\n(19) : 80\nReturn 0 -20\n(22): 100\n",
      "PS2": "0",
      "HW1Q1": "Bravo !",
      "HW1Q4": "no return type for main (-10)",
      "HW1Q5": "not working for\n Multi-digit numbers(-10)",
      "QZ1Q1": "not functional\nsome wrong outputs",
      "HW1Q6": "wrong output for some test cases (including the default test case) (-25) - not printing steps 1 and 2 (-5)",
      "HW1Q7": "doesn't define the function correct(-5);",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "40",
      "QZ2_TestCase": "0",
      "QZ2_Explain": "wrong condition",
      "HW2Q6": "NiceLy Done",
      "HW3Q3": [
        "add does not work for some test cases(e.g.  9",
        "1 )"
      ]
    },
    {
      "type": "STUDENT",
      "rowNo": "15",
      "SName": "صدف",
      "SFName": "سيمان تو",
      "StdNo": "9632655",
      "password": "fveedkri",
      "PS1": "Q17 : 0 points ; no file",
      "PS2": "0",
      "HW1Q1": "None of the requirements were satisfied",
      "HW1Q5": "doesn't define the \nsubset function(-60)\nnot working for\n Multi-digit numbers(-10)\n",
      "QZ1Q1": ":\\",
      "HW1Q7": "no comment(-5);\n doesn't declare your functions(-10)",
      "HW1Q8": "no comment(-5);\n doesn't declare functions(-10)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q6": "Empty File",
      "HW2Q3": "not clean",
      "HW2Q4": "uncompleted "
    },
    {
      "type": "STUDENT",
      "rowNo": "16",
      "SName": "كيانوش",
      "SFName": "مرادي شكرو",
      "StdNo": "9632669",
      "password": "mokishe",
      "PS1": [
        "Q17 : 80 points ; output is correct",
        "bad indentation",
        "confusing algorithm\n(19) : 100\n(22):100"
      ],
      "PS2": "no comment(-5)",
      "HW1Q1": [
        "please name your variables meaningful ... i",
        "j",
        "k are not acceptable but we move on this time ...\\where did you save the name of the student ????"
      ],
      "HW1Q4": "it is be better to make a separate function for mode 3 and call the functions of modes 1 and 2  there",
      "QZ1Q1": "not clean\nno return 0",
      "HW1Q6": "try spliting your program into more functions - use more whitespace to make it easier to read",
      "QZ2_CleanCode": "10",
      "QZ2_Algorithm": "5",
      "QZ2_TestCase": "0",
      "QZ2_Explain": "what happened?!",
      "HW2Q6": "Empty File"
    },
    {
      "type": "STUDENT",
      "rowNo": "17",
      "SName": "محمدحسين",
      "SFName": "اله اكبري",
      "StdNo": "9632854",
      "password": "lfxaifji",
      "PS1": "Q17 : 100 points ; correct\n(19) : 70\nint counter; (-10)\nReturn 0 -20\n(22):100\n",
      "PS2": "no comment(-5)\ncode doesn't work successfully(-30)",
      "HW1Q1": "didn't work on one test case",
      "HW1Q4": "it is be better to make a separate function for mode 3 and call the functions of modes 1 and 2 there",
      "QZ1Q1": "100",
      "HW1Q6": "not printting steps 1 and 2 (-5) - not functional (-5)",
      "HW1Q7": "no comment(-5);",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "50",
      "QZ2_TestCase": "30",
      "QZ2_Explain": "well done!",
      "HW2Q3": [
        "not clean(i",
        "j",
        "k)"
      ],
      "HW2Q4": [
        "uncompleted functions: sort",
        "swap and replace"
      ],
      "HW3Q4": "syntax error ... WTH bro ?"
    },
    {
      "type": "STUDENT",
      "rowNo": "18",
      "SName": "محمدهادي",
      "SFName": "كشاورزي",
      "StdNo": "9632866",
      "password": "vldjebiu",
      "PS1": "Q17 : 100 points ; correct\n(19) : 90\nCounter; =0 \n(22) :100\n",
      "PS2": "no comment(-5)\nafter reaching the number program doesn’t finished(-5)",
      "HW1Q4": "mode 2 decryption does not work - mode 3 is not implemented",
      "QZ1Q1": "not clean\nnot functional\nno floating point return  ???",
      "HW1Q6": "wrong algorithm (it's different from what the question wanted) (-20) - there is a limit for the input (-5)",
      "HW1Q7": "no comment(-5);\n calculate the LCM wrong(-20)",
      "HW1Q8": "no comment(-5);\n when the answer is negtive code answer is posetive(-10)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "5",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "wrong condition",
        "1000!!!?"
      ],
      "HW2Q6": "Empty File"
    },
    {
      "type": "STUDENT",
      "rowNo": "19",
      "SName": "عليرضا",
      "SFName": "بحراني",
      "StdNo": "9633786",
      "password": "ltcduvtp",
      "PS1": [
        "Q17 : 50 points ; no indentation",
        "wrong output\n(19): 80\nReturn 0 -20\n(22) : UNKNOWN EXPLAINATIOn"
      ],
      "PS2": "no comments(-5)\n",
      "HW1Q1": [
        "doesnt calculate the average of ( 10",
        "11",
        "12",
        "13) correctly ."
      ],
      "HW1Q4": "not functional (-10)",
      "QZ1Q1": "not functional\ntotally wrong algorithm\ntotally wrong output",
      "HW1Q6": "not functional (-5)",
      "HW1Q7": "no comment(-5);\n claculate the LCM wrong(-20)",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "20",
      "QZ2_TestCase": "10",
      "QZ2_Explain": [
        "doesn't work recursively",
        "little mistake in line 27"
      ],
      "HW2Q6": "Empty File",
      "HW2Q4": "uncompleted functions ",
      "HW3Q3": [
        "add does not work for some test cases(e.g.  99",
        "10) - output is missing the 4th sentence"
      ]
    },
    {
      "type": "STUDENT",
      "rowNo": "20",
      "SName": "آرنا",
      "SFName": "رميم پور",
      "StdNo": "9730494",
      "password": "ztyndkuf",
      "PS1": "Q17 : 0 points ; totally wrong\n(22) :66\nDalile avval dorost nist (-33)\n(19) :90\n  // (-10)\n",
      "PS2": "0",
      "HW1Q7": "no comment(-5);\n don't calculate LCM & GCD correct(-30);\n you just get 2 number(-15)",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q6": "Empty File",
      "HW2Q3": "not clean(-30)\nlittle mistake to print last n line (-5) "
    },
    {
      "type": "STUDENT",
      "rowNo": "21",
      "SName": "مرضيه",
      "SFName": "رهنما",
      "StdNo": "9730498",
      "password": "dwoodiby",
      "PS1": "Q17 : 0 points ; syntax error\n(19):60\nCounter;(-10)\nc=getchar() (-30)\n(22) : 0\nCorrupted file\n",
      "PS2": "0",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "22",
      "SName": "احمد",
      "SFName": "دريانورد",
      "StdNo": "9732475",
      "password": "rljhmykt",
      "PS1": "Q17 : 100 points ; correct\n(19) :60\n0 < i || i <  100 -> (-20)\n\nReturn 0 -20\n(22) : 100\n",
      "PS2": "no comment(-5)",
      "HW1Q4": [
        "not functional (-10) - (int a",
        "b",
        "c",
        "d",
        "e",
        "f",
        "g",
        "h",
        "n)? Use meaningful names (-5)"
      ],
      "QZ1Q1": "not clean\nno retrun 0\nline 22\nsyntax error\n",
      "HW1Q6": "not printing steps 1 and 2 (-5) - not functional (-5)",
      "HW1Q7": "copy",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q3": "not clean(-10)",
      "HW2Q4": "no prototype for functions - wrong get_input() - uncompleted functions "
    },
    {
      "type": "STUDENT",
      "rowNo": "23",
      "SName": "اميرمحمد",
      "SFName": "توکلي",
      "StdNo": "9732480",
      "password": "ixalvpph",
      "PS1": "Q17 : 100 points ; correct\n(19):70\nint counter; (-10)\nReturn 0 -20\n(22):100\n",
      "PS2": "no comments(-5)\n",
      "HW1Q1": "Bravo !",
      "HW1Q4": "clean handwriting (+10) - perfect use of functions (+10)",
      "QZ1Q1": "100",
      "HW1Q6": "good use of functions (+10) -the input is hardcoded (-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "45",
      "QZ2_TestCase": "20",
      "QZ2_Explain": "doesn't  work for this test case:char source[] = \"AABB\"; char word[] = \"AB\";",
      "HW2Q3": "little mistake to print last n line(-5)",
      "HW3Q4": "pashmam ...",
      "HW3Q5": "khate 122 age pak she dorost mishe"
    },
    {
      "type": "STUDENT",
      "rowNo": "24",
      "SName": "اميرمسعود",
      "SFName": "باغي",
      "StdNo": "9732481",
      "password": "njjpaujd",
      "PS1": "Cheat ( -50 )",
      "PS2": "no comments(-5)\n",
      "HW1Q1": "Syntax Error On Line 122 - L is not defined ... please pay attention next time ... we will ignore this mistake this time .",
      "HW1Q4": "not functional (-10)",
      "QZ1Q1": "not functional",
      "HW1Q6": "not functional (-5)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "10",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "wrong condition"
      ],
      "HW2Q3": [
        "doesnt work correctly(-10)\n ( write_last_nl(arr",
        "3);(input txt:1\\n2\\n3\\n))\nnot clean (-10)"
      ],
      "HW3Q3": [
        "add does not work for some test cases(e.g.  199",
        "10) - output is missing the 4th sentence"
      ],
      "HW3Q4": "avg function doesnt work properly for some test cases (-10)"
    },
    {
      "type": "STUDENT",
      "rowNo": "25",
      "SName": "اميرمسعود",
      "SFName": "حيدري ارجلو",
      "StdNo": "9732482",
      "password": "wbsunrar",
      "PS1": "Q17 : 100 points ; correct\n(19):100\n(22):100\n",
      "PS2": "no comment(-5)\ndoesn't work right some posetive number(-10)",
      "HW1Q1": "The program omits some results that must be shown in the output / indentations are ignored / average calculation is wrong / but the concept was right ( +50 ) ",
      "QZ1Q1": "no return 0\ngoals 0/2\nnot functional\nnot clean\n",
      "HW1Q6": [
        "wrong output for some test cases (e.g. Ages: 220",
        "10. Sum is 320) (-25) - not printing steps 1 and 2 (-5)"
      ],
      "HW1Q7": "no comment(-5);\n LCM doesn't work for some numbers(-10)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "10",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "wrong condition",
        "doesn't work for this test case:char source[] =  hello my my ; char word[] = \"my\";"
      ],
      "HW2Q4": "uncompleted - no dynamic allocation",
      "HW3Q3": "program does not work properly (algorithm has some minor flaws)"
    },
    {
      "type": "STUDENT",
      "rowNo": "26",
      "SName": "ايدا",
      "SFName": "اکبري نژاد",
      "StdNo": "9732483",
      "password": "wqjomoie",
      "PS1": "Q17 : 100 points ; correct\n(19):100\n(22):100\n",
      "QZ1Q2": "syntax error!",
      "PS2": "no comments(-5)\n",
      "HW1Q1": "Bravo !",
      "HW1Q4": "clean handwriting (+10) - perfect use of functions (+10)",
      "QZ1Q1": "0/2 goals",
      "HW1Q6": "good use of functions (+10)",
      "HW1Q7": "no comment(-5);",
      "HW1Q8": "no comment(-5);\n recognize first digits wrong(-20)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "20",
      "QZ2_TestCase": "10",
      "QZ2_Explain": [
        "doesn't work recursively",
        "doesn't work for this test case:char source[] =  hello my my ; char word[] = \"my\";"
      ],
      "HW2Q6": "NiceLy Done !",
      "HW3Q4": "Well Done !",
      "HW3Q5": [
        "khate 19 :new_table->size = 0;( head = create_table(3);\r\n    head = create_table(3);\r\n    head = addStudent(head",
        "Aida",
        "akj );\r\n    head = addStudent(head",
        "Fery",
        "akj );\r\n    head = addStudent(head",
        "Saeed",
        "akj );\r\n    head = addStudent(head",
        "Reihun",
        "flhi );\r\nexpected output:\r\nReihun flhi\r\nSaeed akj\r\nFery akj\r\ncapacity must be constant but size ++)(-10) get_exam(-20)"
      ]
    },
    {
      "type": "STUDENT",
      "rowNo": "27",
      "SName": "پويا",
      "SFName": "تيموري ارخلو",
      "StdNo": "9732485",
      "password": "hakbltaw",
      "PS1": "Q17 : 95 points ; you could use printf() better\n (19):100\n(22): 0\nCorrupted file\n",
      "PS2": "no comment(-5)\n",
      "HW1Q1": [
        "please name your variables meaningful ... i",
        "j",
        "k are not acceptable but we move on this time ..."
      ],
      "HW1Q4": "good use of functions (+5) - you could have called mode 1 and 2 functions in mode 3 instead of copying them to mode 3",
      "HW1Q5": "not working for \nMulti-digit numbers(-10)",
      "HW1Q6": "not printing steps 1 and 2 outputs (-5)",
      "HW1Q7": "no comment(-5);\n doesn't define the function correct(-5);\n you just get 2 number(-15)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "20",
      "QZ2_TestCase": "10",
      "QZ2_Explain": "doesn't work recursively",
      "HW2Q4": "no sort function - no dynamic allocation "
    },
    {
      "type": "STUDENT",
      "rowNo": "28",
      "SName": "حسين",
      "SFName": "محمدي",
      "StdNo": "9732487",
      "password": "zbxpqsik",
      "PS1": "Q17 : 0 points ; no file",
      "PS2": "0",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "29",
      "SName": "درسا",
      "SFName": "مطيع اله",
      "StdNo": "9732490",
      "password": "uijzfile",
      "PS1": [
        "Q17 : 80 points ; problem in calculating avg",
        "you could use printf() better\nint counter(-10)\nReturn 0 -20\n\n(22):100"
      ],
      "QZ1Q2": "  syntax error!",
      "HW1Q1": "به گریدر رجوع شود",
      "HW1Q5": "not working for\n Multi-digit numbers(-10)\nthe algorithm \ndoesn't work correctly(-20)",
      "QZ1Q1": "not functional \nnot clean \ngoals 1/2",
      "HW1Q6": "not printing steps 1 and 2 corretly (-5)",
      "HW1Q8": "no comment(-5);\n when the answer is negtive code answer is posetive(-10)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q4": "no working sample ",
      "HW3Q3": [
        "add does not work for some test cases(e.g.  9",
        "1 )"
      ],
      "HW3Q5": "compile error!!!!!!if khate 34 dorost nist\nget_exam(-10)\nadd_student(-10)\n(tavabe kamel nistan)"
    },
    {
      "type": "STUDENT",
      "rowNo": "30",
      "SName": "رامين",
      "SFName": "روشن",
      "StdNo": "9732491",
      "password": "gsmszvzd",
      "PS1": "Q17 : 100 points ; correct\n(19) :\nReturn 0 -20\nif ( 0< i <  100   ) (-10)\n  (-10)\n(22): 100\n",
      "QZ1Q2": "\nsum = sum / (len - 1);",
      "HW1Q1": [
        "please name your variables meaningful ... i",
        "j",
        "k are not acceptable but we move on this time ..."
      ],
      "HW1Q5": "not working for \r\nMulti-digit numbers(-10)",
      "HW1Q6": "algorithm problems (-35)",
      "HW1Q7": "no comment(-5);\n you just get 2 number(-15)",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "45",
      "QZ2_TestCase": "20",
      "QZ2_Explain": "doesn't work for this test case:char source[] = \"AABB\"; char word[] = \"AB\";",
      "HW2Q6": "NiceLy Done !",
      "HW2Q4": [
        "some functions don't work correctly",
        "they make pointers to point to garbage"
      ],
      "HW3Q4": "poor UI -10",
      "HW3Q5": "meqdari eshtebah dar jaygozin kardan nafare jadid bejaye head(vaqti size==capacity) \nama chon resalate homeworko \nkheiliiii khub piade sazi kardin dg harfi nemimune!!!"
    },
    {
      "type": "STUDENT",
      "rowNo": "31",
      "SName": "ريحانه",
      "SFName": "علي ياري زاده",
      "StdNo": "9732492",
      "password": "rdxhmrbg",
      "PS1": "Q17 : 0 points ; no file",
      "PS2": "0",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "32",
      "SName": "ريحانه",
      "SFName": "فلاحي",
      "StdNo": "9732493",
      "password": "bzzfwybm",
      "PS1": "Q17 : 100 points ; correct\n(19) : 70\nReturn 0 -20\n  (-10)\n(22) : 100\n",
      "QZ1Q2": "syntax error!",
      "PS2": "no comment(-5)\n",
      "HW1Q1": "half functional",
      "HW1Q4": "modes 2 and 3 are not implemented (-55)",
      "HW1Q5": [
        "doesn't include all the subsets(-10)\nfor example set={1",
        "2",
        "3}\ndoesn't show {1",
        "2",
        "3} as subset"
      ],
      "QZ1Q1": "goals 0/2",
      "HW1Q6": "uncompleted",
      "HW1Q7": "no comment(-5);\n you just get 2 number(-15);",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "QZ2_Explain": "compile error",
      "HW2Q6": "Realloc Functions should finally free the old pointers/the program doesn't run.",
      "HW2Q3": "not clean(-10)\nif lines of input less than n doesnt work\n(-20)"
    },
    {
      "type": "STUDENT",
      "rowNo": "33",
      "SName": "زهرا",
      "SFName": "جمالي",
      "StdNo": "9732495",
      "password": "pyafxfsw",
      "PS1": "Q17 : 100 points ; correct\n(19) :\nif ( 0< i <  100   ) (-10)\n   (-10)\n(22) : 100\n",
      "QZ1Q2": [
        "lst should be array!\nvari +=r/(len-1); wrong calculation\nprintf( %f",
        "vari);printing int with %f!"
      ],
      "PS2": "no comments(-5)\n",
      "HW1Q1": "the concept of getname is wrong - why is a character array defined in the scope of a function ? / avg output is wrong / doesnt accept one score as input ",
      "HW1Q3": "explain needed",
      "HW1Q4": "mode 2 decryption: prints garbage before the answer (test case: sruhanizi)",
      "QZ1Q1": "totally wrong algorithm",
      "HW1Q6": "char get() returns char[ ] (-10) - the way this program works is different from the way the question wanted it to be (-20)",
      "HW1Q7": "no comment(-5);\n code do nothing after get the numbers(-45)",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "15",
      "QZ2_TestCase": "10",
      "QZ2_Explain": [
        "doesn't work recursively",
        "wrong condition",
        "doesn't work for this test case:char source[1000]= abcdc ;char word[1000]=\"ac\";"
      ],
      "HW2Q3": "not clean(-5)\nif lines of input less than n doesnt work\n(-20)",
      "HW2Q4": "uncompleted",
      "HW3Q3": "program does not work properly (algorithm has some minor flaws)",
      "HW3Q5": "get_exam(-20)"
    },
    {
      "type": "STUDENT",
      "rowNo": "34",
      "SName": "زهرا",
      "SFName": "صداقت",
      "StdNo": "9732496",
      "password": "wnkyhvto",
      "PS1": "Q17 : 90 points ; wrong max in some testcases\n(19) : 100\n(22) : 100 \n",
      "QZ1Q2": "\nwhy char array[] ? numbers are integers!\nit is not string array! why used \\0 in strlen?\ncalculation part is OK!",
      "PS2": "no comment(-5)\n\ndoesn't work for some number(-15)",
      "HW1Q3": "explain needed",
      "HW1Q4": "not functional (-10) - delete or comment unwanted outputs - use meaningful names",
      "HW1Q5": [
        "please name your variables meaningful \na",
        "b",
        "c are not acceptable but we move on this time"
      ],
      "QZ1Q1": "not clean\nnot functional\nwrong output\n\nno return 0\nwrong algorithm",
      "HW1Q6": "not printing steps 1 and 2 (-5) - not functional (-5) - wrong output for some test cases (pattern recognition method is wrong it counts any sentence with a.g.e in it as age data(-15)",
      "HW1Q7": "no comment(-5);",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "5",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "beware **pass char[] to function",
        "doesn't work recursively",
        "wrong condition"
      ],
      "HW2Q6": "The program doesnt run(-20) \\ where is the header file ( -10)\\no free for realloc(10)\\",
      "HW2Q3": "not clean(-5)\r\nif lines of input less than n doesnt work\r\n(-20)",
      "HW3Q5": "compile error!!!!!!!\r\n table->head->next=NULL;in khato naneveshti (khate 36)(-5)\r\naddst(-10)\r\ngetexm(-10)"
    },
    {
      "type": "STUDENT",
      "rowNo": "35",
      "SName": "زهرا",
      "SFName": "محمدپور",
      "StdNo": "9732497",
      "password": "aevylzep",
      "PS1": "Q17 : 98 points ; strange output\n(19) :\n  -10\nReturn 0 -20\n(22):100\n",
      "QZ1Q2": [
        "var is float",
        "return type is int?!\nsecond argument of variance should be int!\nuse variable types in correct way!"
      ],
      "PS2": "you just get the number of getting the number from user",
      "HW1Q1": [
        "wrong output for one test case ( wrong average 11",
        "12",
        "13",
        "14)/clean code(+10)"
      ],
      "HW1Q4": "you could have called mode 1 and 2 functions in mode 3 instead of copying them to mode 3",
      "QZ1Q1": "goals 1/2",
      "HW1Q6": [
        "the input is hardcoded (-5) - the default pattern for pattern recognition is different from the example",
        "it's a good idea to get the pattern from the user but it shouldn’t be put hardcoded (-5) -  not printing step 1",
        "2 outputs (-5)"
      ],
      "HW1Q7": "no comment(-5);\n calculate nothing(-40)",
      "HW1Q8": "no comment(-5);\n when the answer is negtive code answer is posetive(-10)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "15",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "wrong condition"
      ],
      "HW2Q6": "did not satisfy any requirements",
      "HW2Q3": "not clean(-5)",
      "HW2Q4": "uncompleted functions",
      "HW3Q5": "get-exam(-20)\naddstudent(-10)\nif(size==capacity replace newstudent &head)(-5)"
    },
    {
      "type": "STUDENT",
      "rowNo": "36",
      "SName": "ساسان",
      "SFName": "وحيدي نيا",
      "StdNo": "9732499",
      "password": "pbplvqlt",
      "PS1": "CHEAT -50",
      "PS2": "0",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "37",
      "SName": "سياوش",
      "SFName": "جان احمديان فيروزابادي",
      "StdNo": "9732503",
      "password": "ckyuizrc",
      "PS1": "CHEAT -50\n",
      "PS2": "no comment(-5)\n",
      "QZ1Q1": "goal 0/2",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q3": "not clean (-20)",
      "HW2Q4": "uncompleted",
      "HW3Q3": "uncompleted",
      "HW3Q5": " if(temp->head==NULL){\n        temp->head=(struct Students*)malloc (sizeof(struct Students));\n        temp->head->first_name=first;\n        temp->head->last_name=last;\n        temp->head->next=NULL;\n        return temp;\n    }(khate 34)(-10)\nget_exam(-20)\n"
    },
    {
      "type": "STUDENT",
      "rowNo": "38",
      "SName": "سيده يکتا",
      "SFName": "کمانه",
      "StdNo": "9732504",
      "password": "ioavjbpu",
      "PS1": "Q17 : 100 points ; correct\n 19 -  int counter; // -10\n22 - ghesmate sevvomesh chera khob injoorie ? (-33)\n",
      "QZ1Q2": "\nresult is float but return type is int!",
      "PS2": "no comment(-5)\n",
      "HW1Q1": "Not Functional ",
      "HW1Q4": "not functional enough (-5)",
      "QZ1Q1": "goals 1/2",
      "HW1Q6": "pattern is different from the given example (\"Age\") (-5)",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "5",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "wrong condition",
        "wrong search"
      ],
      "HW2Q6": "Doesnt free the realloc old pointers/you can not include a .c file ... /رجوع شود به گریدر",
      "HW2Q4": "some functions do not work correctly (e.g. replace) "
    },
    {
      "type": "STUDENT",
      "rowNo": "39",
      "SName": "عارف",
      "SFName": "سياره",
      "StdNo": "9732507",
      "password": "kcrtovzy",
      "PS1": "Q17 : 0 points ; no file",
      "PS2": "0",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "40",
      "SName": "عبدالرحيم",
      "SFName": "تورانيان",
      "StdNo": "9732508",
      "password": "tzvzewjc",
      "PS1": "Q17 : 0 points ; syntax error\n19 - 0 ( No file attached )\n22 - 100\n",
      "QZ1Q2": "\nsyntax error!",
      "PS2": "no comment(-5)\n",
      "HW1Q1": "Syntax Error on Line 130 - we ignore it this time but next time there will be no exceptions .",
      "HW1Q4": "the decryption methods of modes 2 and 3 do not work - mode 3 encryption does not work correctly",
      "HW1Q6": "not printing steps 1 and 2 (-5) - wrong output for some test cases (pattern recognition method is wrong it counts any sentence with a.g.e in it as age data(-15)",
      "HW1Q7": "no comment(-5);",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "10",
      "QZ2_Algorithm": "5",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "wrong condition",
        "not functional"
      ],
      "HW2Q4": "no dynamic allocation ",
      "HW3Q3": "output: last sentence's value is reversed",
      "HW3Q5": "absentpresent(-20)\ngetexam(-20)"
    },
    {
      "type": "STUDENT",
      "rowNo": "41",
      "SName": "عرفان",
      "SFName": "معيني",
      "StdNo": "9732509",
      "password": "hjbhpovs",
      "PS1": "Q17 : 100 points ; correct\n22 - 100\n19-70\nRetrun 0 -20\n  : -10\n",
      "QZ1Q2": [
        "var is float",
        "return type is int!"
      ],
      "HW1Q1": [
        "please name your variables meaningful ... i",
        "j",
        "k are not acceptable but we move on this time ..."
      ],
      "QZ1Q1": "not functional \nwrong algorithm that cuases wrong outputs",
      "HW1Q6": "good use of functions (+10)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "50",
      "QZ2_TestCase": "30",
      "QZ2_Explain": "well done!",
      "HW2Q6": "NiceLy Done !"
    },
    {
      "type": "STUDENT",
      "rowNo": "42",
      "SName": "علي",
      "SFName": "حقيقت",
      "StdNo": "9732511",
      "password": "feydnxjg",
      "PS1": "Q17 : 85 points ; confusing and bad variable name\n19 - 70\nmain ()  -10\n Counter -10\nif ( 0< i <  100   ) -10\n",
      "PS2": "no comment(-5)\n",
      "HW1Q1": "not functional /",
      "HW1Q3": "distance calculation",
      "HW1Q4": [
        "syntax error ->  function:  int mode3()",
        "prototype:  int mood3() (-10) (in exams you might lose 100% of the score for having syntax errors)"
      ],
      "HW1Q5": [
        "please name your variables meaningful \na",
        "b are not acceptable but we move on this time\nclaculate subset wrong (-20)\nwrong get input(-10)"
      ],
      "HW1Q6": "meaningless names (-5)",
      "HW1Q7": "copy",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "45",
      "QZ2_TestCase": "20",
      "QZ2_Explain": [
        "little mistake in line 25",
        "didn’t shift",
        "doesn't work for this test case:char source[] =  AABB ; char word[] = \"AB\";"
      ],
      "HW2Q6": "به گریدر رجوع شود",
      "HW2Q4": "uncompleted functions - no prototype for functions ",
      "HW3Q3": [
        "no prototype for functions: reverse()",
        "print_int() - add does not work corrently"
      ]
    },
    {
      "type": "STUDENT",
      "rowNo": "43",
      "SName": "علي",
      "SFName": "ساماني",
      "StdNo": "9732512",
      "password": "kydmfras",
      "PS1": "Q17 : -50 points ; cheat",
      "PS2": "no comment(-5)\n",
      "QZ1Q1": "correct",
      "HW1Q7": "no comment(-5);\n doesn't calculate anything(-35);\n you just get 2 number(-15)",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "44",
      "SName": "علي",
      "SFName": "کريمي",
      "StdNo": "9732513",
      "password": "hsdjjvgc",
      "PS1": "Q17 : 0 points ; syntax error",
      "QZ1Q2": "\nvariance return type is float but %d is used for printing\nno len defined!\nfirst for loop is wrong.",
      "HW1Q3": "confusing map",
      "HW1Q4": "great user interfate (+10)",
      "QZ1Q1": "c = getchar() != '\\n' has paranthesis\nnon functional\nnot clean\nwrong output",
      "HW1Q6": "bonus (+5)",
      "HW1Q7": "no comment(-5);\n calculate GCD wrong for some numbers(-10);\n calculate LCM wrong(-15)",
      "HW1Q8": "no comment(-5);\n recognize first digits wrong(-20)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "20",
      "QZ2_TestCase": "10",
      "QZ2_Explain": [
        "beware **pass char[] to function",
        "little mistake in line 58",
        "doesn't work recursively"
      ],
      "HW2Q6": "Syntax Error /Line 25 :  'pointers' undeclared (first use in this function); ",
      "HW2Q3": "not clean(-20)\nlittle mistake for print last  n lines(-5)",
      "HW2Q4": "uncompleted "
    },
    {
      "type": "STUDENT",
      "rowNo": "45",
      "SName": "عليرضا",
      "SFName": "داودي",
      "StdNo": "9732514",
      "password": "byhafkjz",
      "PS1": "Q17 : 100 points ; correct",
      "QZ1Q2": "\nsyntax error!",
      "PS2": "no comment(-5)\n",
      "HW1Q3": "wrong output in some cases",
      "HW1Q4": "wrong outputs for mode 1 but mode 3 works! (-10) - include <stdlib.h> for using system(\"@cls||clear\") in some c versions u might not have to import it but in some of them including c99 (the version I used) it does not recognize it without including the library (-5)",
      "HW1Q5": "not working for \r\nMulti-digit numbers(-10)",
      "QZ1Q1": "not functional \n0/2 goals are satisfied",
      "HW1Q6": [
        "it doesn’t show  sum of ages  right (-5) - It doesn't print step 1 correcty",
        "it just simulates that (-5) - The way you handled small and capital letters does not work"
      ],
      "HW1Q7": "no comment(-5);\n LCM doesn't work for some numbers(-10)",
      "HW1Q8": "no comment(-5);\n when the answer is negtive code answer is posetive(-10)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "15",
      "QZ2_TestCase": "0",
      "QZ2_Explain": "doesn't work for another char[]!!",
      "HW2Q6": "we dont declare variable in the header file ... only prototype of functions ",
      "HW2Q4": "ui (bonus)",
      "HW3Q3": "add does not work properly ( line 158 is always true )",
      "HW3Q4": "SOme technical issues : hard to work for user / sort function does not work properly. ( -15 ) ",
      "HW3Q5": [
        "createTable (-5)(bayad faqat capacity va size ro set mikardin va allocate mikardin)\n(khate 64 eshtebahe(-10)) else{\n            table->students_head->next->prev = table->students_head;\n            table->students_head->next = add_student(table",
        "firstname",
        "lastname);\ngetexam(-20)\n        }"
      ]
    },
    {
      "type": "STUDENT",
      "rowNo": "46",
      "SName": "محمد",
      "SFName": "باستين",
      "StdNo": "9732518",
      "password": "ddwowfvc",
      "PS1": "Q17 : 0 points ; no file",
      "PS2": "no comment(-5)\n",
      "QZ1Q1": "not functional \n0/2 goals are satisfied",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "47",
      "SName": "محمد",
      "SFName": "عشرتي",
      "StdNo": "9732520",
      "password": "nuhxrvfh",
      "PS1": "Q17 : 90 points ; bad indentation\n(19) :80\nReturn 0 -20\nint counter ; -10\nif ( 0 < i < 100 ) -10\n(22):100\n",
      "QZ1Q2": "\nsyntax error!",
      "PS2": "no comment(-5)\n",
      "HW1Q1": "half functional",
      "HW1Q3": "distance calculation",
      "HW1Q4": "not functional enough (-5)",
      "QZ1Q1": "not clean\nnot functional \ntotally wrong algorithm",
      "HW1Q6": "meaingless names (-5)",
      "HW1Q7": "no comment(-5);\n don't declare function(-5);",
      "HW1Q8": "no comment(-5);\n when the answer is negtive code answer is posetive(-10)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "45",
      "QZ2_TestCase": "20",
      "QZ2_Explain": "doesn't work for this test case:char source[] = \"AAAA\"; char word[] = \"A\";",
      "HW2Q6": "No header(10)/Clean programming is ignored (-30) / code does not run (-20)you dont free the old pointers in realloc (-10)/whats the point of modular programming in this question ?(10)",
      "HW2Q4": "ui (bonus)",
      "HW3Q3": [
        "add does not work for some test cases(e.g.  987",
        "1234 )"
      ],
      "HW3Q5": "getexam hamishe nabayad node jadid besaze be size 2 barabare qabl(-10)"
    },
    {
      "type": "STUDENT",
      "rowNo": "48",
      "SName": "محمد",
      "SFName": "فولادي",
      "StdNo": "9732521",
      "password": "rsrsogco",
      "PS1": "Q17 : 100 points ; correct\n(19) : 70\nReturn 0 -20\n Main -10\nif ( '0' < i < '100' ) -10\n",
      "QZ1Q2": "0",
      "PS2": "0",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0"
    },
    {
      "type": "STUDENT",
      "rowNo": "49",
      "SName": "محمد",
      "SFName": "مهديان",
      "StdNo": "9732522",
      "password": "dwkhehmk",
      "PS1": "Q17 : 100 points ; correct\n19 - 90\nmain ()  -10\n22 - 100\n",
      "QZ1Q2": "\nwrong condition in power for loop\nwrong output variance",
      "PS2": "no comment(-5)\n",
      "HW1Q1": "bravo !",
      "HW1Q3": "distance calculation",
      "HW1Q4": "good user interface (+5) - good use of functions (+5)",
      "QZ1Q1": "Totally correct",
      "HW1Q6": "not printing steps 1 and 2 outputs (-5)",
      "HW1Q8": "no comment(-5);\n when the answer is negtive code answer is posetive(-10)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "10",
      "QZ2_TestCase": "10",
      "QZ2_Explain": [
        "beware **pass char[] to function",
        "didn’t shift",
        "doesn't work recursively"
      ],
      "HW3Q3": "output format is not like what the question wanted"
    },
    {
      "type": "STUDENT",
      "rowNo": "50",
      "SName": "محمداحسان",
      "SFName": "کاجي يزدي",
      "StdNo": "9732523",
      "password": "gbszstxt",
      "PS1": "Q17 : 100 points ; well-done\n22 - 100\n19 - 60\nReturn 0 -20\nMain -10\nCounter -10\n",
      "QZ1Q2": "\nwrong calculation of variance.\nwe cant use strlen for length of int array!",
      "PS2": "\ndoesn't declare the return type of main(-5)",
      "HW1Q1": "getname function has some errors lines 72-76 are extra and they destroy the code",
      "HW1Q3": "wrong output",
      "HW1Q4": "not functional enough (-5)",
      "HW1Q5": "not working for \nMulti-digit numbers(-10)\ndon't  calculate sub_set function correct(-40)",
      "HW1Q6": "the way this program works is different from the way the question wanted it to be (-20) - wrong output ( -30)",
      "HW1Q7": "no comment(-5);",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "20",
      "QZ2_TestCase": "10",
      "QZ2_Explain": "doesn't work recursively",
      "HW2Q6": "NiceLy Done !",
      "HW3Q3": [
        "add does not work for some test cases(e.g.  9",
        "1 )"
      ],
      "HW3Q5": "implemention!?"
    },
    {
      "type": "STUDENT",
      "rowNo": "51",
      "SName": "مرصاد",
      "SFName": "خلفي",
      "StdNo": "9732526",
      "password": "gvzppgnf",
      "PS1": "Q17 : 80 points ; avg function return integer!\n19-\n  (-10)\nReturn 0 (-20)\nc = getchar() != EOF (-20)\n22 - 100\n",
      "HW1Q1": [
        "please name your variables meaningful ... i",
        "j",
        "k are not acceptable but we move on this time ..."
      ],
      "HW1Q4": "mode 2 decryption does not print the answers but it works in mode 3 (-5)",
      "QZ1Q1": "math.h usage\nwrong algorithm",
      "HW1Q7": "no comment(-5);",
      "HW1Q8": "no comment(-5);\n when the answer is negtive code answer is posetive(-10)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "10",
      "QZ2_TestCase": "0",
      "QZ2_Explain": "doesn't work recursively"
    },
    {
      "type": "STUDENT",
      "rowNo": "52",
      "SName": "مهدي",
      "SFName": "فقهي",
      "StdNo": "9732527",
      "password": "kkkcdhlw",
      "PS1": [
        "Q17 : 40 points ; wrong avg",
        "wrong sum",
        "bad algorithm\n22 - 100\n19 - 70\nif ( 0< i <  100   ) -10\n  -10"
      ],
      "HW1Q1": "bravo !",
      "HW1Q4": "bad ui (it does not show starting modes to select) (-5) - wrong outputs in modes 2 and 3 (they can be fixed easily)  (-35)",
      "HW1Q7": "no comment(-5);\n you didn't get the number(-25);\n don't calculate LCM & GCD correct(-30);",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "15",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "little mistake in line 17"
      ],
      "HW2Q6": "NiceLy Done !",
      "HW2Q4": "no working sample (-20)",
      "HW3Q3": "algorithm has major problems",
      "HW3Q4": "sorting doesnt work properly when we add 2 students ( it goes into a loop ) (-10)\n/ sort by name doesnt work properly(-10)\n/it doesnt handle search by name method when we input a deleted student(-5)/",
      "HW3Q5": "if(size==capacity ) handle nashode(-5)\ngetexam daqiqan che etefaqi dare barash miofte?!(-10)"
    },
    {
      "type": "STUDENT",
      "rowNo": "53",
      "SName": "ميترا",
      "SFName": "برکشلومنصوري",
      "StdNo": "9732529",
      "password": "eprregcw",
      "PS1": "Q17 : 100 points ; correct\n19 - 90\n int​ main -10\n22 - corrupted file 0\n",
      "QZ1Q2": "\nsyntax error!",
      "PS2": "0",
      "QZ1Q1": "scanf ",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW3Q3": "umcompleted - name problems (e.g. in some lines: make_new_node in some makenewnode)"
    },
    {
      "type": "STUDENT",
      "rowNo": "54",
      "SName": "مينا",
      "SFName": "نيرنيا",
      "StdNo": "9732530",
      "password": "bigdwcln",
      "PS1": "Q17 : 85 points ; use better algorithm\n19 -  90\nReturn 0 -20\n  -10\n22 - 100\n",
      "QZ1Q2": [
        "your array has 4 index",
        "why did you used 1000 in for loops?"
      ],
      "PS2": "no comment(-5)\n",
      "HW1Q1": "Not Functional",
      "HW1Q4": "in modes 2 and 3 the decryption methods print some extra characters (-10)",
      "QZ1Q1": [
        "int x",
        "y  ???\nwrong usage of power - see line 38"
      ],
      "HW1Q8": "no comment(-5);\n when the answer is negtive code answer is posetive(-10)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "20",
      "QZ2_TestCase": "10",
      "QZ2_Explain": "doesn't work recursively",
      "HW2Q6": "NiceLy Done !",
      "HW2Q3": "not clean(-5)",
      "HW3Q3": "output format is not like what the question wanted",
      "HW3Q5": "implemention?!"
    },
    {
      "type": "STUDENT",
      "rowNo": "55",
      "SName": "نگين",
      "SFName": "شيرواني",
      "StdNo": "9732531",
      "password": "frfjflsq",
      "PS1": "Q17 : 95 points ; avg function return type should be float\n19 -  60\nReturn 0 -20\n int counter; -10\n  -10\n22 - 100\n",
      "QZ1Q2": [
        "wrong power function",
        "base is not used!\nwrong for loop in variance function!"
      ],
      "PS2": "no comment(-5)\ncode doesn't work (-50)",
      "HW1Q1": "not functional / avg is wrong / no sort is available / ",
      "HW1Q7": "no comment(-5);\n you didn't get the number(-25);",
      "HW1Q8": "no comment(-5);\n you didn't get the number(-20);\n doesn't calculate anything(-15)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q3": "http://www.learntosolveit.com/cprogramming/Ex_5.13_tailn.html\ndeep copy!"
    },
    {
      "HW1Q7": "no comment(-5);\n LCM doesn't work for some numbers(-10)",
      "HW1Q8": "no comment(-5)"
    },
    {
      "type": "STUDENT",
      "rowNo": "56",
      "SName": "سيداحسان",
      "SFName": "موسوي پور",
      "StdNo": "9734259",
      "password": "xhcmgxdw",
      "PS1": "Q17 : 90 points\n19 - 70\nif (0<i<100) -10\n  -10\n22-100\n",
      "QZ1Q2": "\nsum=0; should be out of second for loop",
      "HW1Q1": "به گریدر رجوع شود/sort function doesnt work",
      "HW1Q4": "in modes 2 and 3 the decryption method does not work (-25)",
      "QZ1Q1": "non functional\ntotally wrong algorithm",
      "HW1Q6": "the way this program works is different from the way the question wanted it to be (-20) - wrong output for sum and average (-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "10",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "little mistake in line 18",
        "doesn't work recursively",
        "wrong condition"
      ],
      "HW2Q4": "no dynamic allocation (-30)",
      "HW3Q3": "output: last sentence is missing",
      "HW3Q4": "visit grader at tuesday 21/03/1398 exactly at 6:00 pm in arshad pc room \n- it's your final chance for describing your current homework and the previous homeworks",
      "HW3Q5": "(line 20)struct student *S=(struct student*)(malloc(sizeof(struct student)));\n    your program sometimes doent work correctly"
    },
    {
      "type": "STUDENT",
      "rowNo": "57",
      "SName": "شايان",
      "SFName": "زمان پور",
      "StdNo": "9734278",
      "password": "cnvsytxt",
      "PS1": "Q17 : 0 points ; no file",
      "QZ1Q2": "\nsyntax error!",
      "PS2": "\ndoesn't declare the return type of main(-5)",
      "QZ1Q1": "some wrong outputs by wrong algorithm ",
      "HW1Q8": "no comment(-5)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW2Q3": "   *(temp+i)='\\0';(line 35)"
    },
    {
      "type": "STUDENT",
      "rowNo": "58",
      "SName": "سيد محمد حسين",
      "SFName": "هاشمي",
      "StdNo": "9734289",
      "password": "lgvhptqs",
      "PS1": "Q17 : 100 points ; correct\n19- 60\nReturn 0 -20\n  -10\nReturn 0 (-20)\n22 - 100\n",
      "PS2": "no comment(-5)\n",
      "QZ1Q1": "wrong algorithm and wrong output for some inputs try 12.85 and -12.85",
      "HW1Q6": "not printing steps 1 and 2 outputs (-5)",
      "HW1Q7": "you just get the number\ndidn't calculate the gcd and lcm(-30);\nafter entering 4 number the code didn't do anything(-25)",
      "HW1Q8": "no comment(-5);\n when the answer is negtive code answer is posetive(-10)",
      "QZ2_CleanCode": "0",
      "QZ2_Algorithm": "0",
      "QZ2_TestCase": "0",
      "HW3Q3": "add function must add two linked lists not two char*s"
    },
    {
      "type": "STUDENT",
      "rowNo": "59",
      "SName": "زهرا",
      "SFName": "جناب زاده",
      "StdNo": "9734290",
      "password": "nueiezbh",
      "PS1": "Q17 : 100 points ; correct\n19- 90\nint   -10\n22  -100\n",
      "PS2": "no comment(-5)",
      "HW1Q3": "you could implement distance calculater better",
      "HW1Q4": "in modes 2 and 3 the decryption method prints some extra characters (-10) - include <string.h>  in some c versions u might not have to import it but in some of them including c99 (the version I used) it does not recognize it without including the library (-5)",
      "QZ1Q1": "not clean\nif the loop condition is c = '-' than how can is recoganize negative amount ???",
      "HW1Q6": "passing float array to parameter of type int array (-10) - not printing steps 1 and 2 (-5) - wrong output for some test cases (pattern recognition method is wrong it counts any sentence with A.G.E in it as age data(-15)",
      "HW1Q8": "no comment(-5);\n  multi-character character constant(-5)",
      "QZ2_CleanCode": "15",
      "QZ2_Algorithm": "10",
      "QZ2_TestCase": "0",
      "QZ2_Explain": "doesn't work recursively",
      "HW2Q6": "NiceLy Done !",
      "HW2Q3": "\r\nif lines of input less than n doesnt work\r\n(-20)",
      "HW3Q3": "output format is not like what the question wanted",
      "HW3Q5": "if(size==capacity)handle nashode(-5)\ngetexam(-20)"
    },
    {
      "type": "STUDENT",
      "rowNo": "60",
      "SName": "پويا",
      "SFName": "فکري",
      "StdNo": "9734491",
      "password": "xgvqowgu",
      "PS1": "Q17 : 100 points ; correct\n19 - 70\n        if ( 0 < i <  100   ) (-20)\n  (-10)\n22-100\n",
      "PS2": "no comment(-5)",
      "HW1Q1": "Bravo ! Very Good ",
      "QZ1Q1": "char c\nno return 0\nwrong output\ncounter + 1 = '\\0'",
      "HW1Q6": "not printing steps 1 and 2 (-5)",
      "QZ2_CleanCode": "20",
      "QZ2_Algorithm": "10",
      "QZ2_TestCase": "0",
      "QZ2_Explain": [
        "doesn't work recursively",
        "doesn't work for this test case:char source[] =  hello my my ; char word[] = \"my\";"
      ],
      "HW2Q6": "NiceLy Done !",
      "HW2Q4": "sort function problem ",
      "HW3Q3": "the program has major problems like naming problem with prevent program from compiling",
      "HW3Q5": [
        "(line 33)scanf( %d",
        "&head->capacity);\n(line 52)    if(temp2->size != temp2->capacity)\ndoesnt work correctly (-10)"
      ]
    }
  ]
}